> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_getRawTransactionByBlockNumberAndIndex | Plasma

> Plasma API method that returns the raw transaction data by block number and transaction index. Available on Plasma via Chainstack.

Plasma API method that returns the raw transaction data by block number and transaction index.

## Parameters

* `quantity or tag` — the block number in hex format or block tag (`latest`, `earliest`, `pending`, `safe`, `finalized`)
* `quantity` — the transaction index position

## Response

* `data` — the raw transaction data, or `null` when no transaction was found

## `eth_getRawTransactionByBlockNumberAndIndex` code examples

<CodeGroup>
  ```javascript ethers.js theme={"system"}
  const { JsonRpcProvider } = require("ethers");

  const provider = new JsonRpcProvider("CHAINSTACK_NODE_URL");

  async function call() {
    const result = await provider.send("eth_getRawTransactionByBlockNumberAndIndex", []);
    console.log(result);
  }

  call();
  ```

  ```python web3.py theme={"system"}
  from web3 import Web3

  node_url = "CHAINSTACK_NODE_URL"
  web3 = Web3(Web3.HTTPProvider(node_url))

  # Make the call
  # Add your parameters here
  # result = web3.eth.<method_name>(...)
  print(result)
  ```

  ```shell cURL theme={"system"}
  curl -X POST "CHAINSTACK_NODE_URL" \
    -H "Content-Type: application/json" \
    --data '{
      "jsonrpc": "2.0",
      "method": "eth_getRawTransactionByBlockNumberAndIndex",
      "params": [],
      "id": 1
    }'
  ```
</CodeGroup>


## OpenAPI

````yaml openapi/plasma_node_api/transaction_info/eth_getRawTransactionByBlockNumberAndIndex.json POST /be84184cd12967be5a65d06651c60085
openapi: 3.0.0
info:
  title: Chainstack Node API
  version: 1.0.0
  description: This is an API for interacting with a Chainstack node.
servers:
  - url: https://plasma-mainnet.core.chainstack.com
security: []
paths:
  /be84184cd12967be5a65d06651c60085:
    post:
      tags:
        - upload
      summary: eth_getRawTransactionByBlockNumberAndIndex
      operationId: getRawTransactionByBlockNumberAndIndex
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: integer
                  default: 1
                jsonrpc:
                  type: string
                  default: '2.0'
                method:
                  type: string
                  default: eth_getRawTransactionByBlockNumberAndIndex
                params:
                  type: array
                  items:
                    anyOf:
                      - type: string
                        title: Block
                        description: Block number or tag (latest, earliest, pending).
                      - type: string
                        title: Transaction index
                        description: The transaction index position.
                  default:
                    - latest
                    - '0x0'
      responses:
        '200':
          description: >-
            Returns the raw transaction data by block number and transaction
            index.
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                  id:
                    type: integer
                  result:
                    type: object
                    nullable: true

````